RMPMF001 Submission form for Issuing a work visa

05/05/2019 12:42 PM - Mahmoud Tarawneh

Status: Fixed Start date: 05/05/2019

Priority: Normal Due date:  

Assignee: Abdelhadi Al-Qudah % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: Talabat Employment New Use Case Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 0

Description

Dear Abed,

Kindly find the MPM SRS (Foreign labor)  to implement "RMPMF001    Submission form for Issuing a work visa" in

PamTalabatEmploymentApp.

You can find the SRS in on SVN in EmploymentDocs.

URL for PamTalabatFilesAppon SVN:

http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/TalabtApps/PamTalabatEmploymentApp

for any further clarifications assign it to Abdelrhaman Almomani.

History

#1 - 05/06/2019 09:34 AM - Abed Abuhalawa

- Status changed from Open to Feedback

- Assignee changed from Abed Abuhalawa to Abd Alrahman almomani

- % Done changed from 0 to 10

Dear A.Momani

Ramada mubark <

please advice there is conflict between the page and data source attribute :

1. Pass issue cuntrey    دولة اصدار الجواز

2. Place of birth    مكان الولاده

3. GRADUATED COUNTRY_ID    بلد التخرج

4. GRADUATED UNIVERSITY ID    جامعة التخرج

in the page its represent as a list but no Business Rules for above attributes.

and if there validation on (passport no , national no ) please tell me
#2 - 05/06/2019 01:13 PM - Abd Alrahman almomani

Dear Abed,

Kindly find the below link for updated SRS.

https://www.dropbox.com/s/3mzucxum1aaboay/MPM%20SRS%20%28Foreign%20labor%29%20V3.docx?dl=0

Note:

the "GRADUATED UNIVERSITY ID" changed from integer to varchar and the new name is "GRADUATED_UNIVERSITY"

Thanks,

Abedalrhman

#3 - 05/06/2019 02:04 PM - Abed Abuhalawa

- Assignee changed from Abd Alrahman almomani to Mahmoud Tarawneh

Dear Trawneh

kindly commit new srs to svn

#4 - 05/06/2019 02:22 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Abed Abuhalawa

I already Committed it

#5 - 05/08/2019 09:29 AM - Abed Abuhalawa

- Status changed from Feedback to Fixed

- Assignee changed from Abed Abuhalawa to Mahmoud Tarawneh

#6 - 09/11/2019 05:54 PM - Mahmoud Tarawneh

- Status changed from Fixed to In Progress

- Assignee changed from Mahmoud Tarawneh to Safiya Abu musalem

- SERVICE_ID set to 0

Dear Safieh,

Kindly find the MPMF SRS (Foreign labor) V3.2 All Pro Part 1 on SVN to implment the below as described by Momani:

"

GET IT FROM VIEW من خلال استبدال الجمله من NATIONALITY_ID في العماله الوافده مطلوب تعديل الحقل الخاص بالجنسيات

SYS_GENERAL_LOOKUPS_REQ

M_ID = 208 الى الجمله التالية GET IT FROM VIEW SYS_GENERAL_LOOKUPS_REQ

M_ID = 208 and extra_par = 0"

#7 - 09/17/2019 10:43 AM - Safiya Abu musalem

- Status changed from In Progress to Fixed

- Assignee changed from Safiya Abu musalem to Abdelhadi Al-Qudah

Powered by TCPDF (www.tcpdf.org)

06/06/2025 2/2

https://www.dropbox.com/s/3mzucxum1aaboay/MPM%20SRS%20%28Foreign%20labor%29%20V3.docx?dl=0
http://www.tcpdf.org

